// the old way
require('request-promise')("https://status.github.com/api/status.json")
.then(function(status){
    // do something with status
})

// the new way!
await require('request-promise')("https://status.github.com/api/status.json");

require("fs-promise") // promise based filesystem api;
require("request-promise") // a wrapper around "request" for http stuff;
require("glob-promise") // glob style filesystem queries;
require("bluebird") // general promise library with lots of utilities;